# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "emuman"
version = "2.11.3"
authors = ["Brian Langenberger <bjl@usa.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Utility for managing emulator ROM files."
readme = "README.md"
license = "MIT/Apache-2.0"
repository = "https://github.com/tuffy/emuman"

[[bin]]
name = "emuman"
path = "src/main.rs"

[dependencies.attohttpc]
version = "0.30"

[dependencies.base64]
version = "0.22"

[dependencies.bitstream-io]
version = "4.10"

[dependencies.ciborium]
version = "0.2"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.comfy-table]
version = "7.2"

[dependencies.dashmap]
version = "6.1"
features = ["rayon"]

[dependencies.directories]
version = "6.0"

[dependencies.filesize]
version = "0.2"

[dependencies.fnv]
version = "1.0.7"

[dependencies.fxhash]
version = "0.2"

[dependencies.hex]
version = "0.4"

[dependencies.indicatif]
version = "0.18"
features = ["rayon"]

[dependencies.inquire]
version = "0.9"

[dependencies.iter-group]
version = "0.3"

[dependencies.nohash]
version = "0.2"

[dependencies.quick-xml]
version = "0.39"
features = ["serialize"]

[dependencies.rayon]
version = "1.12"

[dependencies.serde]
version = "1.0"

[dependencies.serde_derive]
version = "1.0"

[dependencies.sevenz-rust]
version = "0.6"

[dependencies.sha1_smol]
version = "1.0"

[dependencies.terminal_size]
version = "0.4"

[dependencies.toml]
version = "1.1"

[dependencies.url]
version = "2.5"

[dependencies.walkdir]
version = "2"

[dependencies.zip]
version = "8.5"

[target.'cfg(not(target_os = "windows"))'.dependencies.xattr]
version = "1.3"
